Random letters
Most popular
Newest
Latest
Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Quan penso en el futur, m'agradaria treballar en allò que m’apassioni i em faci sentir útil, potser en la sanitat o ajudant les persones. No penso a tenir molt, sinó a viure amb sentit i...

Read full letter

I am Emily Sohn!!!!!!!!!! I LOVE boys with all my heart. Especially, the tall blonde ones!!!! They are very attractive!

Read full letter

Labas,manau šį laišką gausi vėliau nei tikiuosi, kad gausi. Bet tiek to. Sveikinu su aštuonioliktu gimtadieniu! Pagaliau prasideda laikas kai tu turi pati rūpintis savimi. Tikiuosi sekasi...

Read full letter

Dear Felix, What's new about your life? Are you enjoy being who you are right now? Do you have a dream? Do you want to live for science and thought, or passion and love? Hope you would have...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter